Padre::Task::File(3pm)

NAME
Padre::Task::File - File operations in the background

SYNOPSIS
  # Recursively delete
  Padre::Task::File->new(
    remove => 'C:\foo\bar\baz',
  )->schedule;

DESCRIPTION
The File::Remove CPAN module is a specialised package for deleting files or recursively deleting directories.

As well as providing the basic support for recursive deletion, it adds several other important features such as removing readonly limits on the fly, taking ownership of files if permitted, and moving the current working directory out of the deletion path so that directory cursors won't block the deletion (a particular problem on Windows).

The task takes the name of a single file or directory to delete (for now), and proceeds to attempt a recursive deletion of the file or directory via the File::Remove "remove" method.

In the future, this module will also support more types of file operations and support the execution of a list of operations.

METHODS

  new
  my $task = Padre::Task::File->new(
      remove => '/foo/bar/baz',
  );

Creates a new deletion task.

Takes a single parameter "remove" which must be an absolute path to the file to delete (as the "current directory" may change between the time the removal task is created and when it is executed).

  remove
The "remove" accessor returns the absolute path of the file or directory the task will try to delete (or tried to delete in the case of completed tasks).

SEE ALSO
Padre, Padre::Task, File::Remove

COPYRIGHT
Copyright 2008-2013 The Padre development team as listed in Padre.pm.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5 itself.

The full text of the license can be found in the LICENSE file included with this module.